Tag: homebrew

openpgp2ssh (herramienta monkeysphere) instalado con Homebrew en el error OS X No se puede ubicar Crypt / OpenSSL / Bignum.pm en @INC

Estoy tratando de instalar monkeysphere en una máquina OS X con Homebrew : $ brew install monkeysphere monkeysphere: Unsatisfied dependency: Crypt::OpenSSL::Bignum Homebrew does not provide Perl dependencies; install with: cpan -i Crypt::OpenSSL::Bignum Error: An unsatisfied requirement failed this build. monkeysphere necesita el Crypt::OpenSSL::Bignum perl y Homebrew me está diciendo que use el command cpan -i […]

launchctl no inicia cntlm daemon

He instalado cntlm en osx usando la fórmula homebrew . Luego copié el file .plist y comencé el daemon: sudo cp -fv /usr/local/opt/cntlm/*.plist /Library/LaunchDaemons sudo chown root /Library/LaunchDaemons/homebrew.mxcl.cntlm.plist Pero después del reinicio, el daemon no se está ejecutando. Intenté ejecutarlo manualmente con sudo launchctl load /Library/LaunchDaemons/homebrew.mxcl.cntlm.plist pero su salida es /Library/LaunchDaemons/homebrew.mxcl.cntlm.plist: Operation already in progress […]

El Capitan Homebrew no puede reinstalar

Tengo problemas para volver a instalar homebrew en OS X El Capitan 10.11.1. Cuando ejecuto el command de installation para homebrew: ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)" Aparece el post: Parece que Homebrew ya está instalado. Si tu intención es reinstalar, debes hacer lo siguiente antes de volver a ejecutar este instalador: ruby -e "$(curl -fsSL […]

¿No se puede enlazar gcc-5 en lugar de clang en OS X 10.10.5?

He instalado gcc-5 a través de brew install gcc5 , y he intentado vincular gcc (que es clang por defecto) con gcc-5, pero cada vez que bash ejecutar gcc, está usando clang. También he comprobado que /usr/local/bin es el primero en mi variable PATH. Así es como se ve todo en mi terminal: $ which […]

¿No se puede actualizar la fórmula 'macvim' usando Homebrew?

Comencé mi actualización desde una salida limpia para el brew doctor de brew doctor y luego brew update macvim no funciona: brew upgrade macvim ==> Upgrading 1 outdated package, with result: macvim 7.4-99 ==> Upgrading macvim ==> Downloading https://github.com/macvim-dev/macvim/archive/snapshot-99.tar.gz Already downloaded: /Library/Caches/Homebrew/macvim-7.4-99.tar.gz ==> ./configure –with-features=huge –enable-multibyte –with-macarchs=x86_64 –enable-perlinterp –enable-rubyinterp –enable-tc Last 15 lines from /Users/meng/Library/Logs/Homebrew/macvim/01.configure: […]

Pipear múltiples commands homebrew

Instalé un cachorro usando Homebrew y mi shell – Zsh, con OhMyZsh – no reconoce el command cuando lo uso varias veces usando tubos. Por ejemplo, esto funciona bien: cat index.html | pup 'meta' <meta http-equiv="Content-Type" content="text/html; charset=utf-8"> cat index.html | pup 'div[class="quote"] text{}' “Some text from the <div class="quote>".” Pero esto no: cat index.html […]

Ejecutando brew doctor muestra que tengo 3 scripts de "configuration" de python diferentes instalados. ¿Cómo me deshago de ellos para que ya no reciba esta advertencia?

Me han dicho que hay un Python pnetworkingeterminado instalado en OSX, y que eliminarlo causará problemas SEVERE en el sistema, sin embargo, quiero borrar estas advertencias en brew doctor. Esto es lo que dice el post: Warning: "config" scripts exist outside your system or Homebrew directories. `./configure` scripts often look for *-config scripts to determine […]

cómo 'installation personalizada' con brew?

así que tengo que editar la installation de vino y aplicar un parche personalizado. El parche que quiero está aquí … https://bugs.winehq.org/attachment.cgi?id=38156 y cuando agregue estas líneas con brew edit wine patch do url "https://bugs.winehq.org/attachment.cgi?id=38156" sha256 "f1c4537f38e258c810ca33455e0947e3b2be1087bf9445fadac00424f294c004" end y luego intente instalarlo, en realidad no agrega el parche. Parece estar descargándolo de una fuente preempacada […]

wget da error "dyld: Biblioteca no cargada: /opt/local/lib/libnettle.4.dylib"

Cuando bash usar wget , recibo este post de error: $: wget dyld: Library not loaded: /opt/local/lib/libnettle.4.dylib Referenced from: /opt/local/bin/wget Reason: image not found Trace/BPT trap: 5 He reinstalado wget usando homebrew ( brew reinstall wget ), actualicé y actualicé mi homebrew, sin embargo, esto no ha ayudado. En mi carpeta /opt/local/lib/ no puedo encontrar […]

Brew instalado Boost diferentes versiones

Actualmente estoy tratando de encontrar la forma de manejar diferentes versiones de bibliotecas instaladas a través de Homebrew en OS X. En particular, Boost. Tuve boost instalado (actualmente v159) y boost155 , pero no pude encontrar la forma de cambiar entre las versiones 155 y 159, así que instalé boost159 . Después de un poco […]

Loving Apple Products like poisoning (iPhone, iPad, iMac, Macbook, iWatch).